package com.rjconsultores.ventaboletos.utilerias.exportacaofiscal.vo;

import java.math.BigDecimal;

public class ExportacaoECFTipoCCF {
	private Integer coo;
	private BigDecimal valorServico; 
	private BigDecimal descontoGlobal;
	private Integer codigoParticipante;
	private Integer situacaoCOO; // 0 - Documento Regular; 2 - Documento Cancelado
	private BigDecimal acrescimo;
	private String ufOrigem;
	private Integer municipioOrigem;
	private String ufDestino;
	private Integer cfop; // IM=5357; serviço IE= 6357
	private Integer codigoSituacaoTribColunaB; // 00 - tributação normal; 20 - tributação com redução na base de calculo; 40 - isentos
	private BigDecimal valorTotal; 
	private Integer tributacaoICMS; // 1 - Demais; 2 - Região Metropolitanao ou seja, quando o campo CSTB for "40", esse campo deve vir "2". Do contrário, deve vir "1"
	private BigDecimal valorBaseCalculoICMS; 
	private BigDecimal aliquotaICMS;
	private String ecf;
	private String dataEmissao; 
	private String numFolioSistema;

	public ExportacaoECFTipoCCF() {
		
	}

	public Integer getCoo() {
		return coo;
	}

	public void setCoo(Integer coo) {
		this.coo = coo;
	}

	public BigDecimal getValorServico() {
		return valorServico;
	}

	public void setValorServico(BigDecimal valorServico) {
		this.valorServico = valorServico;
	}

	public BigDecimal getDescontoGlobal() {
		return descontoGlobal;
	}

	public void setDescontoGlobal(BigDecimal descontoGlobal) {
		this.descontoGlobal = descontoGlobal;
	}

	public Integer getCodigoParticipante() {
		return codigoParticipante;
	}

	public void setCodigoParticipante(Integer codigoParticipante) {
		this.codigoParticipante = codigoParticipante;
	}

	public Integer getSituacaoCOO() {
		return situacaoCOO;
	}

	public void setSituacaoCOO(Integer situacaoCOO) {
		this.situacaoCOO = situacaoCOO;
	}

	public BigDecimal getAcrescimo() {
		return acrescimo;
	}

	public void setAcrescimo(BigDecimal acrescimo) {
		this.acrescimo = acrescimo;
	}

	public String getUfOrigem() {
		return ufOrigem;
	}

	public void setUfOrigem(String ufOrigem) {
		this.ufOrigem = ufOrigem;
	}

	public Integer getMunicipioOrigem() {
		return municipioOrigem;
	}

	public void setMunicipioOrigem(Integer municipioOrigem) {
		this.municipioOrigem = municipioOrigem;
	}

	public String getUfDestino() {
		return ufDestino;
	}

	public void setUfDestino(String ufDestino) {
		this.ufDestino = ufDestino;
	}

	public Integer getCfop() {
		return cfop;
	}

	public void setCfop(Integer cfop) {
		this.cfop = cfop;
	}

	public Integer getCodigoSituacaoTribColunaB() {
		return codigoSituacaoTribColunaB;
	}

	public void setCodigoSituacaoTribColunaB(Integer codigoSituacaoTribColunaB) {
		this.codigoSituacaoTribColunaB = codigoSituacaoTribColunaB;
	}

	public BigDecimal getValorTotal() {
		return valorTotal;
	}

	public void setValorTotal(BigDecimal valorTotal) {
		this.valorTotal = valorTotal;
	}

	public Integer getTributacaoICMS() {
		return tributacaoICMS;
	}

	public void setTributacaoICMS(Integer tributacaoICMS) {
		this.tributacaoICMS = tributacaoICMS;
	}

	public BigDecimal getValorBaseCalculoICMS() {
		return valorBaseCalculoICMS;
	}

	public void setValorBaseCalculoICMS(BigDecimal valorBaseCalculoICMS) {
		this.valorBaseCalculoICMS = valorBaseCalculoICMS;
	}

	public BigDecimal getAliquotaICMS() {
		return aliquotaICMS;
	}

	public void setAliquotaICMS(BigDecimal aliquotaICMS) {
		this.aliquotaICMS = aliquotaICMS;
	}

	public String getEcf() {
		return ecf;
	}

	public void setEcf(String ecf) {
		this.ecf = ecf;
	}

	public String getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(String dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public String getNumFolioSistema() {
		return numFolioSistema;
	}

	public void setNumFolioSistema(String numFolioSistema) {
		this.numFolioSistema = numFolioSistema;
	}

	@Override
	public String toString() {
		return "ExportacaoECFTipoCCF [coo=" + coo + ", valorServico=" + valorServico + ", descontoGlobal=" + descontoGlobal + ", codigoParticipante=" + codigoParticipante + ", situacaoCOO=" + situacaoCOO + ", acrescimo=" + acrescimo + ", ufOrigem=" + ufOrigem + ", municipioOrigem=" + municipioOrigem + ", ufDestino=" + ufDestino + ", cfop=" + cfop + ", codigoSituacaoTribColunaB=" + codigoSituacaoTribColunaB + ", valorTotal=" + valorTotal + ", tributacaoICMS=" + tributacaoICMS + ", valorBaseCalculoICMS=" + valorBaseCalculoICMS + ", aliquotaICMS=" + aliquotaICMS + ", ecf=" + ecf + ", dataEmissao=" + dataEmissao + ", numFolioSistema=" + numFolioSistema + "]";
	}
}
